com.fasterxml.jackson.dataformat.xml.deser

## Class XmlTextDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<Object>
    - - com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer
      - - com.fasterxml.jackson.dataformat.xml.deser.XmlTextDeserializer

All Implemented Interfaces:
  com.fasterxml.jackson.databind.deser.ContextualDeserializer, com.fasterxml.jackson.databind.deser.ResolvableDeserializer, Serializable

    public class XmlTextDeserializer
    extends com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer

Delegating deserializer that is used in the special cases where we may sometimes see a "plain" String value but need to map it as if it was a property of POJO. The impedance is introduced by heuristic conversion from XML events into rough JSON equivalents; and this is one work-around that can only be done after the fact.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`com.fasterxml.jackson.databind.JsonDeserializer.None`

### Field Summary

Fields
`protected com.fasterxml.jackson.databind.deser.ValueInstantiator` `_valueInstantiator`
`protected com.fasterxml.jackson.databind.deser.SettableBeanProperty` `_xmlTextProperty` Actual property that is indicated to be of type "XML Text" (and is the only element-valued property)
`protected int` `_xmlTextPropertyIndex` Property index of the "XML text property"; needed for finding actual property instance after resolution and contextualization: instance may change, but index will remain constant.

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer

`_delegatee`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass`

### Constructor Summary

Constructors
Constructor and Description
`XmlTextDeserializer(com.fasterxml.jackson.databind.deser.BeanDeserializerBase delegate, int textPropIndex)`
`XmlTextDeserializer(com.fasterxml.jackson.databind.deser.BeanDeserializerBase delegate, com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`

### Method Summary

Methods
`protected com.fasterxml.jackson.databind.deser.BeanDeserializerBase` `_verifyDeserType(com.fasterxml.jackson.databind.JsonDeserializer<?> deser)`
`com.fasterxml.jackson.databind.JsonDeserializer<?>` `createContextual(com.fasterxml.jackson.databind.DeserializationContext ctxt, com.fasterxml.jackson.databind.BeanProperty property)`
`Object` `deserialize(com.fasterxml.jackson.core.JsonParser jp, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`Object` `deserialize(com.fasterxml.jackson.core.JsonParser jp, com.fasterxml.jackson.databind.DeserializationContext ctxt, Object bean)`
`Object` `deserializeWithType(com.fasterxml.jackson.core.JsonParser jp, com.fasterxml.jackson.databind.DeserializationContext ctxt, com.fasterxml.jackson.databind.jsontype.TypeDeserializer typeDeserializer)`
`protected com.fasterxml.jackson.databind.JsonDeserializer<?>` `newDelegatingInstance(com.fasterxml.jackson.databind.JsonDeserializer<?> newDelegatee0)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer

`_createContextual, findBackReference, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, resolve`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_hasTextualNull, _isNaN, _isNegInf, _isPosInf, _parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, getValueClass, getValueType, handledType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _xmlTextPropertyIndex

    protected final int _xmlTextPropertyIndex

Property index of the "XML text property"; needed for finding actual property instance after resolution and contextualization: instance may change, but index will remain constant.

#### _xmlTextProperty

    protected final com.fasterxml.jackson.databind.deser.SettableBeanProperty _xmlTextProperty

Actual property that is indicated to be of type "XML Text" (and is the only element-valued property)

#### _valueInstantiator

    protected final com.fasterxml.jackson.databind.deser.ValueInstantiator _valueInstantiator

### Constructor Detail

#### XmlTextDeserializer

    public XmlTextDeserializer(com.fasterxml.jackson.databind.deser.BeanDeserializerBase delegate,
                       com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

#### XmlTextDeserializer

    public XmlTextDeserializer(com.fasterxml.jackson.databind.deser.BeanDeserializerBase delegate,
                       int textPropIndex)

### Method Detail

#### newDelegatingInstance

    protected com.fasterxml.jackson.databind.JsonDeserializer<?> newDelegatingInstance(com.fasterxml.jackson.databind.JsonDeserializer<?> newDelegatee0)

Specified by:
  `newDelegatingInstance` in class `com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer`

#### createContextual

    public com.fasterxml.jackson.databind.JsonDeserializer<?> createContextual(com.fasterxml.jackson.databind.DeserializationContext ctxt,
                                                                      com.fasterxml.jackson.databind.BeanProperty property)
                                                                        throws com.fasterxml.jackson.databind.JsonMappingException

Specified by:
  `createContextual` in interface `com.fasterxml.jackson.databind.deser.ContextualDeserializer`
Overrides:
  `createContextual` in class `com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer`
Throws:
  `com.fasterxml.jackson.databind.JsonMappingException`

#### deserialize

    public Object deserialize(com.fasterxml.jackson.core.JsonParser jp,
                     com.fasterxml.jackson.databind.DeserializationContext ctxt)
                       throws IOException,
                              com.fasterxml.jackson.core.JsonProcessingException

Overrides:
  `deserialize` in class `com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`

#### deserialize

    public Object deserialize(com.fasterxml.jackson.core.JsonParser jp,
                     com.fasterxml.jackson.databind.DeserializationContext ctxt,
                     Object bean)
                       throws IOException,
                              com.fasterxml.jackson.core.JsonProcessingException

Overrides:
  `deserialize` in class `com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`

#### deserializeWithType

    public Object deserializeWithType(com.fasterxml.jackson.core.JsonParser jp,
                             com.fasterxml.jackson.databind.DeserializationContext ctxt,
                             com.fasterxml.jackson.databind.jsontype.TypeDeserializer typeDeserializer)
                               throws IOException,
                                      com.fasterxml.jackson.core.JsonProcessingException

Overrides:
  `deserializeWithType` in class `com.fasterxml.jackson.databind.deser.std.DelegatingDeserializer`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`

#### _verifyDeserType

    protected com.fasterxml.jackson.databind.deser.BeanDeserializerBase _verifyDeserType(com.fasterxml.jackson.databind.JsonDeserializer<?> deser)